<DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
    <head>
        <title>Ejercicio con PDO</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    </head>
<body>
<?php
try
{
	// Conexión a la base de datos
	$base = new PDO('mysql:host=127.0.0.1;dbname=_test','root','');
	$base->setAttribute(PDO::ATTR_ERRMBDE,PDO::ERRMBDE_EXCEPTION);
	
	$stmt = $base->prepare("CALL creation_persona(?,?,?)");
	$nombre ='Ángel María';
	$apellidos ='Sánchez Conejo';
	$edad = 40;
	$stmt->bindParam(1, $nombre, PDO::PARAM_STR, 20); //argumento de tipo STRING
	$stmt->bindParam(2, $apellidos, PDO::PARAM_STR, 20);
	$stmt->bindParam(3, $edad, PDO::PARAM_INT); //argumento de tipo INTEGER

	// Ejecución del procedimiento almacenado
	$stmt->execute();
	echo "El procedimiento ha insertado una nueva persona.";
}	
catch(Exception $e)
{
	// mensaje en caso de error
	die('Error:'.$e->getMessage());
}
?>



</body>
</html>
